
public class Gen08 {

	public static void main(String[] args) {
		String name = "Russia Univesity number ";
		System.out.println("100000 100000 50000");
		for(int i = 0; i < 100000; ++i) {
			System.out.println(name + Integer.toString(i));
		}
		for(int i = 0; i < 100000; ++i) {
			System.out.print(100000 - i + " ");
		}
	}
} 